Bug 110418 - redhat-config-bind breaks zone files badly.
redhat-config-bind breaks zone files badly.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-bind (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2003-11-19 08:45 EST by Chris Kloiber
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-29 06:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2003-11-19 08:45:05 EST
Description of problem:

Just start redhat-config-bind, save without making any changes, then
view the devastation found in /var/named/localhost.zone. That's just
the localhost zone. Try it on a hand-crafted zone for real fun. It
seems to be intolerant of any record starting with an implied hostname:

        1D  IN  NS  @
        1D  IN  A

Becomes magically transformed into:

1D      IN      NS    @
1D      IN      IN

The "Double IN" does not seem to occur when a hostname exists in the
first field, only when the hostname is implied with a space.     

Version-Release number of selected component (if applicable):

Comment 1 Daniel Walsh 2003-12-29 06:38:52 EST
Try system-config-bind-2.0.2-1 (Rename) from RawHide a lot of problems
have been fixed.


Note You need to log in before you can comment on or make changes to this bug.